hawq-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From h...@apache.org
Subject incubator-hawq git commit: HAWQ-914. Improve user experience of HAWQ's build infrastructure
Date Fri, 12 Aug 2016 01:53:26 GMT
Repository: incubator-hawq
Updated Branches:
  refs/heads/master 217c17c9c -> f149c0842


HAWQ-914. Improve user experience of HAWQ's build infrastructure

Improving UE will be an endless work. This patch adds more output info
for various header/library check failures. It also makes some output info
more platform/release neutral.


Project: http://git-wip-us.apache.org/repos/asf/incubator-hawq/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-hawq/commit/f149c084
Tree: http://git-wip-us.apache.org/repos/asf/incubator-hawq/tree/f149c084
Diff: http://git-wip-us.apache.org/repos/asf/incubator-hawq/diff/f149c084

Branch: refs/heads/master
Commit: f149c0842713e54ae6500d9ba773378c56e61efc
Parents: 217c17c
Author: Paul Guo <paulguo@gmail.com>
Authored: Wed Aug 10 14:48:29 2016 +0800
Committer: Ruilong Huo <rhuo@pivotal.io>
Committed: Fri Aug 12 09:56:39 2016 +0800

----------------------------------------------------------------------
 configure    | 146 ++++++++++++++++++++++++++++++++++++++----------------
 configure.in | 142 +++++++++++++++++++++++++++++++++++++---------------
 2 files changed, 205 insertions(+), 83 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-hawq/blob/f149c084/configure
----------------------------------------------------------------------
diff --git a/configure b/configure
index abb93e7..22401df 100755
--- a/configure
+++ b/configure
@@ -9026,8 +9026,9 @@ $as_echo_n "checking R_HOME... " >&6; }
 	if test "x${r_home_guess}" != "x"; then
       R_HOME=$r_home_guess
 	else
-      as_fn_error $? "Failed to Set R_HOME. R is not installed? R_HOME is not set
-or pkg-config is not installed to find R_HOME automatically." "$LINENO" 5
+      as_fn_error $? "Failed to set R_HOME. R is not installed? Or R_HOME is not set
+or pkg-config is not installed to find R_HOME automatically.
+Check config.log for details or not use --with-r if you do not want the PL/R support." "$LINENO"
5
     fi
   fi
   { $as_echo "$as_me:${as_lineno-$LINENO}: result: ${R_HOME}" >&5
@@ -9103,7 +9104,9 @@ if test "$ac_res" != no; then :
   test "$ac_res" = "none required" || LIBS="$ac_res $LIBS"
 
 else
-  as_fn_error $? "could not find function 'gss_init_sec_context' required for GSSAPI" "$LINENO"
5
+  as_fn_error $? "could not find function 'gss_init_sec_context' required for GSSAPI.
+Check config.log for details. It is possible the compiler isn't looking in the proper directory.
+Don't use --with-gssapi if you don't want the GSSAPI support." "$LINENO" 5
 fi
 
   else
@@ -9168,7 +9171,9 @@ if test "$ac_res" != no; then :
   test "$ac_res" = "none required" || LIBS="$ac_res $LIBS"
 
 else
-  as_fn_error $? "could not find function 'com_err' required for Kerberos 5" "$LINENO" 5
+  as_fn_error $? "could not find function 'com_err' required for Kerberos 5.
+Check config.log for details. It is possible the compiler isn't looking in the proper directory.
+Don't use --with-krb5 if you don't want the Kerberos 5 support." "$LINENO" 5
 fi
 
      { $as_echo "$as_me:${as_lineno-$LINENO}: checking for library containing krb5_sendauth"
>&5
@@ -9226,7 +9231,9 @@ if test "$ac_res" != no; then :
   test "$ac_res" = "none required" || LIBS="$ac_res $LIBS"
 
 else
-  as_fn_error $? "could not find function 'krb5_sendauth' required for Kerberos 5" "$LINENO"
5
+  as_fn_error $? "could not find function 'krb5_sendauth' required for Kerberos 5.
+Check config.log for details. It is possible the compiler isn't looking in the proper directory.
+Don't use --with-krb5 if you don't want the Kerberos 5 support." "$LINENO" 5
 fi
 
   else
@@ -9285,7 +9292,9 @@ if test "$ac_res" != no; then :
   test "$ac_res" = "none required" || LIBS="$ac_res $LIBS"
 
 else
-  as_fn_error $? "could not find function 'com_err' required for Kerberos 5" "$LINENO" 5
+  as_fn_error $? "could not find function 'com_err' required for Kerberos 5.
+Check config.log for details. It is possible the compiler isn't looking in the proper directory.
+Don't use --with-krb5 if you don't want the Kerberos 5 support." "$LINENO" 5
 fi
 
   fi
@@ -9337,7 +9346,9 @@ _ACEOF
   LIBS="-lcrypto $LIBS"
 
 else
-  as_fn_error $? "library 'crypto' is required for OpenSSL" "$LINENO" 5
+  as_fn_error $? "library 'crypto' is required for OpenSSL.
+Check config.log for details. It is possible the compiler isn't looking in the proper directory.
+Don't use --with-openssl if you don't want the OpenSSL support." "$LINENO" 5
 fi
 
      { $as_echo "$as_me:${as_lineno-$LINENO}: checking for SSL_library_init in -lssl" >&5
@@ -9384,7 +9395,9 @@ _ACEOF
   LIBS="-lssl $LIBS"
 
 else
-  as_fn_error $? "library 'ssl' is required for OpenSSL" "$LINENO" 5
+  as_fn_error $? "library 'ssl' is required for OpenSSL.
+Check config.log for details. It is possible the compiler isn't looking in the proper directory.
+Don't use --with-openssl if you don't want the OpenSSL support." "$LINENO" 5
 fi
 
   else
@@ -9432,7 +9445,9 @@ _ACEOF
   LIBS="-leay32 $LIBS"
 
 else
-  as_fn_error $? "library 'eay32' is required for OpenSSL" "$LINENO" 5
+  as_fn_error $? "library 'eay32' is required for OpenSSL.
+Check config.log for details. It is possible the compiler isn't looking in the proper directory.
+Don't use --with-openssl if you don't want the OpenSSL support." "$LINENO" 5
 fi
 
      { $as_echo "$as_me:${as_lineno-$LINENO}: checking for SSL_library_init in -lssleay32"
>&5
@@ -9479,7 +9494,9 @@ _ACEOF
   LIBS="-lssleay32 $LIBS"
 
 else
-  as_fn_error $? "library 'ssleay32' is required for OpenSSL" "$LINENO" 5
+  as_fn_error $? "library 'ssleay32' is required for OpenSSL.
+Check config.log for details. It is possible the compiler isn't looking in the proper directory.
+Don't use --with-openssl if you don't want the OpenSSL support." "$LINENO" 5
 fi
 
   fi
@@ -9530,8 +9547,12 @@ _ACEOF
   LIBS="-lrt $LIBS"
 
 else
-  { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: Realtime library not found" >&5
-$as_echo "$as_me: WARNING: Realtime library not found" >&2;}
+  { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: Realtime library not found.
+Check config.log for details. It is possible the compiler isn't looking in the proper directory.
+Use --without-rt to avoid using the Realtime library." >&5
+$as_echo "$as_me: WARNING: Realtime library not found.
+Check config.log for details. It is possible the compiler isn't looking in the proper directory.
+Use --without-rt to avoid using the Realtime library." >&2;}
 fi
 
 fi
@@ -9581,7 +9602,9 @@ _ACEOF
   LIBS="-lpam $LIBS"
 
 else
-  as_fn_error $? "library 'pam' is required for PAM" "$LINENO" 5
+  as_fn_error $? "library 'pam' is required for PAM.
+Check config.log for details. It is possible the compiler isn't looking in the proper directory.
+Don't use --with-pam if you don't want the PAM support." "$LINENO" 5
 fi
 
 fi
@@ -9819,7 +9842,9 @@ if test "x$ac_cv_header_bzlib_h" = xyes; then :
 _ACEOF
 
 else
-  as_fn_error $? "bzip2-devel is required" "$LINENO" 5
+  as_fn_error $? "header file <bzlib.h> is required.
+'bzip2' is used for table compression. Check config.log for details.
+It is possible the compiler isn't looking in the proper directory." "$LINENO" 5
 fi
 
 done
@@ -9879,7 +9904,9 @@ if test "$ac_res" != no; then :
   test "$ac_res" = "none required" || LIBS="$ac_res $LIBS"
 
 else
-  as_fn_error $? "bzip2-devel is required" "$LINENO" 5
+  as_fn_error $? "library 'bzip2' is required.
+'bzip2' is used for table compression.  Check config.log for details.
+It is possible the compiler isn't looking in the proper directory." "$LINENO" 5
 fi
 
 
@@ -9893,7 +9920,9 @@ if test "x$ac_cv_header_snappy_c_h" = xyes; then :
 _ACEOF
 
 else
-  as_fn_error $? "snappy is required" "$LINENO" 5
+  as_fn_error $? "header file <snappy-c.h> is required.
+'snappy' is used for table compression. Check config.log for details.
+It is possible the compiler isn't looking in the proper directory." "$LINENO" 5
 fi
 
 done
@@ -9953,7 +9982,9 @@ if test "$ac_res" != no; then :
   test "$ac_res" = "none required" || LIBS="$ac_res $LIBS"
 
 else
-  as_fn_error $? "snappy is required" "$LINENO" 5
+  as_fn_error $? "library 'snappy' is required.
+'snappy' is used for table compression. Check config.log for details.
+It is possible the compiler isn't looking in the proper directory." "$LINENO" 5
 fi
 
 
@@ -10369,7 +10400,8 @@ if test "x$ac_cv_header_boost_chrono_hpp" = xyes; then :
 _ACEOF
 
 else
-  as_fn_error $? "boost is required" "$LINENO" 5
+  as_fn_error $? "boost is required.
+Check config.log for details. It is possible the compiler isn't looking in the proper directory."
"$LINENO" 5
 fi
 
 done
@@ -10392,7 +10424,8 @@ if test "x$ac_cv_header_yaml_h" = xyes; then :
 _ACEOF
 
 else
-  as_fn_error $? "libyaml is required" "$LINENO" 5
+  as_fn_error $? "header file <yaml.h> is required.
+Check config.log for details. It is possible the compiler isn't looking in the proper directory."
"$LINENO" 5
 fi
 
 done
@@ -10452,7 +10485,8 @@ if test "$ac_res" != no; then :
   test "$ac_res" = "none required" || LIBS="$ac_res $LIBS"
 
 else
-  as_fn_error $? "libyaml is required" "$LINENO" 5
+  as_fn_error $? "library 'libyaml' is required.
+Check config.log for details. It is possible the compiler isn't looking in the proper directory."
"$LINENO" 5
 fi
 
 
@@ -10466,7 +10500,8 @@ if test "x$ac_cv_header_event_h" = xyes; then :
 _ACEOF
 
 else
-  as_fn_error $? "libevent is required" "$LINENO" 5
+  as_fn_error $? "header file <event.h> is required.
+Check config.log for details. It is possible the compiler isn't looking in the proper directory."
"$LINENO" 5
 fi
 
 done
@@ -10526,7 +10561,8 @@ if test "$ac_res" != no; then :
   test "$ac_res" = "none required" || LIBS="$ac_res $LIBS"
 
 else
-  as_fn_error $? "libevent is required" "$LINENO" 5
+  as_fn_error $? "library 'libevent' is required.
+Check config.log for details. It is possible the compiler isn't looking in the proper directory."
"$LINENO" 5
 fi
 
 
@@ -10634,7 +10670,9 @@ _ACEOF
   LIBS="-lnetsnmp $LIBS"
 
 else
-  as_fn_error $? "library 'netsnmp' is required for snmp support" "$LINENO" 5
+  as_fn_error $? "library 'netsnmp' is required for snmp support.
+Check config.log for details. It is possible the compiler isn't looking in the proper directory.
+Don't use --enable-snmp if you don't want to enable the snmp support." "$LINENO" 5
 fi
 
 fi
@@ -10688,7 +10726,9 @@ _ACEOF
   LIBS="-lesmtp $LIBS"
 
 else
-  as_fn_error $? "library 'libesmtp' is required for email alert support" "$LINENO" 5
+  as_fn_error $? "library 'libesmtp' is required for email alert support.
+Check config.log for details. It is possible the compiler isn't looking in the proper directory.
+Don't use --enable-email if you don't want to enable the email alert support." "$LINENO"
5
 fi
 
 fi
@@ -10950,7 +10990,9 @@ if test "x$ac_cv_header_gssapi_h" = xyes; then :
 _ACEOF
 
 else
-  as_fn_error $? "gssapi.h header file is required for GSSAPI" "$LINENO" 5
+  as_fn_error $? "gssapi.h header file is required for GSSAPI.
+Check config.log for details. It is possible the compiler isn't looking in the proper directory.
+Don't use --with-gssapi if you don't want the GSSAPI support." "$LINENO" 5
 fi
 
 done
@@ -10966,7 +11008,9 @@ if test "$with_krb5" = yes ; then
 if test "x$ac_cv_header_krb5_h" = xyes; then :
 
 else
-  as_fn_error $? "header file <krb5.h> is required for Kerberos 5" "$LINENO" 5
+  as_fn_error $? "header file <krb5.h> is required for Kerberos 5.
+Check config.log for details. It is possible the compiler isn't looking in the proper directory.
+Don't use --with-krb5 if you don't want the Kerberos 5 support." "$LINENO" 5
 fi
 
 
@@ -10977,7 +11021,9 @@ if test "$with_openssl" = yes ; then
 if test "x$ac_cv_header_openssl_ssl_h" = xyes; then :
 
 else
-  as_fn_error $? "header file <openssl/ssl.h> is required for OpenSSL" "$LINENO" 5
+  as_fn_error $? "header file <openssl/ssl.h> is required for OpenSSL.
+Check config.log for details. It is possible the compiler isn't looking in the proper directory.
+Don't use --with-openssl if you don't want to the OpenSSL support." "$LINENO" 5
 fi
 
 
@@ -10985,7 +11031,9 @@ fi
 if test "x$ac_cv_header_openssl_err_h" = xyes; then :
 
 else
-  as_fn_error $? "header file <openssl/err.h> is required for OpenSSL" "$LINENO" 5
+  as_fn_error $? "header file <openssl/err.h> is required for OpenSSL.
+Check config.log for details. It is possible the compiler isn't looking in the proper directory.
+Don't use --with-openssl if you don't want to the OpenSSL support." "$LINENO" 5
 fi
 
 
@@ -11021,7 +11069,9 @@ if test "x$ac_cv_header_pam_pam_appl_h" = xyes; then :
 _ACEOF
 
 else
-  as_fn_error $? "header file <security/pam_appl.h> or <pam/pam_appl.h> is required
for PAM." "$LINENO" 5
+  as_fn_error $? "header file <security/pam_appl.h> or <pam/pam_appl.h> is required
for PAM.
+Check config.log for details. It is possible the compiler isn't looking in the proper directory.
+Use --without-pam to disable the PAM support." "$LINENO" 5
 fi
 
 done
@@ -11043,7 +11093,8 @@ if test "x$ac_cv_header_ldap_h" = xyes; then :
 _ACEOF
 
 else
-  as_fn_error $? "header file <ldap.h> is required for LDAP" "$LINENO" 5
+  as_fn_error $? "header file <ldap.h> is required for LDAP.
+Check config.log for details. It is possible the compiler isn't looking in the proper directory."
"$LINENO" 5
 fi
 
 done
@@ -11074,7 +11125,8 @@ if test "$with_bonjour" = yes ; then
 if test "x$ac_cv_header_DNSServiceDiscovery_DNSServiceDiscovery_h" = xyes; then :
 
 else
-  as_fn_error $? "header file <DNSServiceDiscovery/DNSServiceDiscovery.h> is required
for Bonjour" "$LINENO" 5
+  as_fn_error $? "header file <DNSServiceDiscovery/DNSServiceDiscovery.h> is required
for Bonjour.
+Check config.log for details. It is possible the compiler isn't looking in the proper directory."
"$LINENO" 5
 fi
 
 
@@ -11157,14 +11209,15 @@ if test "x$ac_cv_header_net_snmp_net_snmp_config_h" = xyes; then
:
 _ACEOF
 
 else
-  as_fn_error $? "header file <net-snmp/net-snmp-config.h> is required for snmp support"
"$LINENO" 5
+  as_fn_error $? "header file <net-snmp/net-snmp-config.h> is required for snmp support.
+Check config.log for details. It is possible the compiler isn't looking in the proper directory.
+Use --disable-snmp to disable the snmp support." "$LINENO" 5
 fi
 
 done
 
 fi
 
-
 # email
 if test "$enable_email" = yes; then
 	for ac_header in libesmtp.h
@@ -11176,7 +11229,9 @@ if test "x$ac_cv_header_libesmtp_h" = xyes; then :
 _ACEOF
 
 else
-  as_fn_error $? "header file <libesnmp.h> is required for email alert support" "$LINENO"
5
+  as_fn_error $? "header file <libesnmp.h> is required for email alert support.
+Check config.log for details. It is possible the compiler isn't looking in the proper directory.
+Use --disable-email to disable the snmp support." "$LINENO" 5
 fi
 
 done
@@ -11190,7 +11245,9 @@ if test "x$ac_cv_header_auth_client_h" = xyes; then :
 _ACEOF
 
 else
-  as_fn_error $? "header file <auth-client.h> is required for email alert support"
"$LINENO" 5
+  as_fn_error $? "header file <auth-client.h> is required for email alert support.
+Check config.log for details. It is possible the compiler isn't looking in the proper directory.
+Use --disable-email to disable the snmp support." "$LINENO" 5
 fi
 
 done
@@ -11208,7 +11265,9 @@ if test "x$ac_cv_header_time_h" = xyes; then :
 _ACEOF
 
 else
-  as_fn_error $? "header file <time.h> is required for realtime library support" "$LINENO"
5
+  as_fn_error $? "header file <time.h> is required for realtime library support.
+Check config.log for details. It is possible the compiler isn't looking in the proper directory.
+Use --without-rt to avoid using realtime library." "$LINENO" 5
 fi
 
 done
@@ -11216,7 +11275,6 @@ done
 fi
 
 # json-c
-
 for ac_header in json-c/json.h
 do :
   ac_fn_c_check_header_mongrel "$LINENO" "json-c/json.h" "ac_cv_header_json_c_json_h" "$ac_includes_default"
@@ -11226,7 +11284,8 @@ if test "x$ac_cv_header_json_c_json_h" = xyes; then :
 _ACEOF
 
 else
-  as_fn_error $? "json-c is required" "$LINENO" 5
+  as_fn_error $? "header file <json-c/json.h> is required.
+Check config.log for details. It is possible the compiler isn't looking in the proper directory."
"$LINENO" 5
 fi
 
 done
@@ -11286,14 +11345,14 @@ if test "$ac_res" != no; then :
   test "$ac_res" = "none required" || LIBS="$ac_res $LIBS"
 
 else
-  as_fn_error $? "json-c is required" "$LINENO" 5
+  as_fn_error $? "library 'json-c' is required.
+Check config.log for details. It is possible the compiler isn't looking in the proper directory."
"$LINENO" 5
 fi
 
 
 # libxml2
 
 
-
 # Check whether --with-xml-prefix was given.
 if test "${with_xml_prefix+set}" = set; then :
   withval=$with_xml_prefix; xml_config_prefix="$withval"
@@ -11546,7 +11605,8 @@ rm -f core conftest.err conftest.$ac_objext \
 
      XML_CPPFLAGS=""
      XML_LIBS=""
-     as_fn_error $? "libxml2 is required" "$LINENO" 5
+     as_fn_error $? "libxml2 is required.
+Check config.log for details. It is possible the compiler isn't looking in the proper directory."
"$LINENO" 5
   fi
 
 
@@ -15953,7 +16013,9 @@ eval TCL_SHARED_BUILD=\"$TCL_SHARED_BUILD\"
 if test "x$ac_cv_header_tcl_h" = xyes; then :
 
 else
-  as_fn_error $? "header file <tcl.h> is required for Tcl" "$LINENO" 5
+  as_fn_error $? "header file <tcl.h> is required for Tcl.
+Check config.log for details. It is possible the compiler isn't looking in the proper directory.
+Don't use --with-tcl if you don't want to enable to PL/Tcl funciontality." "$LINENO" 5
 fi
 
 

http://git-wip-us.apache.org/repos/asf/incubator-hawq/blob/f149c084/configure.in
----------------------------------------------------------------------
diff --git a/configure.in b/configure.in
index 89f9b7e..12cd3b8 100644
--- a/configure.in
+++ b/configure.in
@@ -1078,8 +1078,9 @@ if test "$with_r" = yes; then
 	if test "x${r_home_guess}" != "x"; then
       R_HOME=$r_home_guess
 	else
-      AC_MSG_ERROR([Failed to Set R_HOME. R is not installed? R_HOME is not set
-or pkg-config is not installed to find R_HOME automatically.])
+      AC_MSG_ERROR([Failed to set R_HOME. R is not installed? Or R_HOME is not set
+or pkg-config is not installed to find R_HOME automatically.
+Check config.log for details or not use --with-r if you do not want the PL/R support.])
     fi
   fi
   AC_MSG_RESULT(${R_HOME})
@@ -1096,7 +1097,9 @@ fi
 if test "$with_gssapi" = yes ; then
   if test "$PORTNAME" != "win32"; then
     AC_SEARCH_LIBS(gss_init_sec_context, [gssapi_krb5 gss 'gssapi -lkrb5 -lcrypto'], [],
-		 		  [AC_MSG_ERROR([could not find function 'gss_init_sec_context' required for GSSAPI])])
+                    [AC_MSG_ERROR([could not find function 'gss_init_sec_context' required
for GSSAPI.
+Check config.log for details. It is possible the compiler isn't looking in the proper directory.
+Don't use --with-gssapi if you don't want the GSSAPI support.])])
   else
     LIBS="$LIBS -lgssapi32"
   fi
@@ -1105,33 +1108,51 @@ fi
 if test "$with_krb5" = yes ; then
   if test "$PORTNAME" != "win32"; then
      AC_SEARCH_LIBS(com_err, [krb5 'krb5 -lcrypto -ldes -lasn1 -lroken' com_err 'com_err
-lssl -lcrypto'], [],
-                    [AC_MSG_ERROR([could not find function 'com_err' required for Kerberos
5])])
+                    [AC_MSG_ERROR([could not find function 'com_err' required for Kerberos
5.
+Check config.log for details. It is possible the compiler isn't looking in the proper directory.
+Don't use --with-krb5 if you don't want the Kerberos 5 support.])])
      AC_SEARCH_LIBS(krb5_sendauth, [krb5 'krb5 -lcrypto -ldes -lasn1 -lroken'], [],
-                    [AC_MSG_ERROR([could not find function 'krb5_sendauth' required for Kerberos
5])])
+                    [AC_MSG_ERROR([could not find function 'krb5_sendauth' required for Kerberos
5.
+Check config.log for details. It is possible the compiler isn't looking in the proper directory.
+Don't use --with-krb5 if you don't want the Kerberos 5 support.])])
   else
      AC_SEARCH_LIBS(com_err, 'comerr32 -lkrb5_32', [],
-                    [AC_MSG_ERROR([could not find function 'com_err' required for Kerberos
5])])
+                    [AC_MSG_ERROR([could not find function 'com_err' required for Kerberos
5.
+Check config.log for details. It is possible the compiler isn't looking in the proper directory.
+Don't use --with-krb5 if you don't want the Kerberos 5 support.])])
   fi
 fi
 
 if test "$with_openssl" = yes ; then
   dnl Order matters!
   if test "$PORTNAME" != "win32"; then
-     AC_CHECK_LIB(crypto, CRYPTO_new_ex_data, [], [AC_MSG_ERROR([library 'crypto' is required
for OpenSSL])])
-     AC_CHECK_LIB(ssl,    SSL_library_init, [], [AC_MSG_ERROR([library 'ssl' is required
for OpenSSL])])
+     AC_CHECK_LIB(crypto, CRYPTO_new_ex_data, [], [AC_MSG_ERROR([library 'crypto' is required
for OpenSSL.
+Check config.log for details. It is possible the compiler isn't looking in the proper directory.
+Don't use --with-openssl if you don't want the OpenSSL support.])])
+     AC_CHECK_LIB(ssl,    SSL_library_init, [], [AC_MSG_ERROR([library 'ssl' is required
for OpenSSL.
+Check config.log for details. It is possible the compiler isn't looking in the proper directory.
+Don't use --with-openssl if you don't want the OpenSSL support.])])
   else
-     AC_CHECK_LIB(eay32, CRYPTO_new_ex_data, [], [AC_MSG_ERROR([library 'eay32' is required
for OpenSSL])])
-     AC_CHECK_LIB(ssleay32,    SSL_library_init, [], [AC_MSG_ERROR([library 'ssleay32' is
required for OpenSSL])])
+     AC_CHECK_LIB(eay32, CRYPTO_new_ex_data, [], [AC_MSG_ERROR([library 'eay32' is required
for OpenSSL.
+Check config.log for details. It is possible the compiler isn't looking in the proper directory.
+Don't use --with-openssl if you don't want the OpenSSL support.])])
+     AC_CHECK_LIB(ssleay32,    SSL_library_init, [], [AC_MSG_ERROR([library 'ssleay32' is
required for OpenSSL.
+Check config.log for details. It is possible the compiler isn't looking in the proper directory.
+Don't use --with-openssl if you don't want the OpenSSL support.])])
   fi
 fi
 
 if test "$with_rt" = yes ; then
   AC_CHECK_LIB(rt, clock_gettime, [],
-                [AC_MSG_WARN([Realtime library not found])])
+                [AC_MSG_WARN([Realtime library not found.
+Check config.log for details. It is possible the compiler isn't looking in the proper directory.
+Use --without-rt to avoid using the Realtime library.])])
 fi
 
 if test "$with_pam" = yes ; then
-  AC_CHECK_LIB(pam,    pam_start, [], [AC_MSG_ERROR([library 'pam' is required for PAM])])
+  AC_CHECK_LIB(pam,    pam_start, [], [AC_MSG_ERROR([library 'pam' is required for PAM.
+Check config.log for details. It is possible the compiler isn't looking in the proper directory.
+Don't use --with-pam if you don't want the PAM support.])])
 fi
 
 # Check for curl.
@@ -1140,12 +1161,20 @@ CFLAGS="$CFLAGS $CURL_CFLAGS"
 LIBS="$LIBS $CURL_LIBS"
 
 # Check for bzip2
-AC_CHECK_HEADERS(bzlib.h, [], [AC_MSG_ERROR([bzip2-devel is required])])
-AC_SEARCH_LIBS(BZ2_bzDecompress, bz2, [], [AC_MSG_ERROR([bzip2-devel is required])])
+AC_CHECK_HEADERS(bzlib.h, [], [AC_MSG_ERROR([header file <bzlib.h> is required.
+'bzip2' is used for table compression. Check config.log for details.
+It is possible the compiler isn't looking in the proper directory.])])
+AC_SEARCH_LIBS(BZ2_bzDecompress, bz2, [], [AC_MSG_ERROR([library 'bzip2' is required.
+'bzip2' is used for table compression.  Check config.log for details.
+It is possible the compiler isn't looking in the proper directory.])])
 
 # Check for snappy
-AC_CHECK_HEADERS(snappy-c.h, [], [AC_MSG_ERROR([snappy is required])])
-AC_SEARCH_LIBS(snappy_max_compressed_length, snappy, [], [AC_MSG_ERROR([snappy is required])])
+AC_CHECK_HEADERS(snappy-c.h, [], [AC_MSG_ERROR([header file <snappy-c.h> is required.
+'snappy' is used for table compression. Check config.log for details.
+It is possible the compiler isn't looking in the proper directory.])])
+AC_SEARCH_LIBS(snappy_max_compressed_length, snappy, [], [AC_MSG_ERROR([library 'snappy'
is required.
+'snappy' is used for table compression. Check config.log for details.
+It is possible the compiler isn't looking in the proper directory.])])
 
 AC_LANG_PUSH([C++])
 
@@ -1153,24 +1182,31 @@ AC_LANG_PUSH([C++])
 #AC_CHECK_HEADERS(thrift/protocol/TBinaryProtocol.h, [], [AC_MSG_ERROR([thrift is required])])
 
 # Check for boost
-AC_CHECK_HEADERS(boost/chrono.hpp, [], [AC_MSG_ERROR([boost is required])])
+AC_CHECK_HEADERS(boost/chrono.hpp, [], [AC_MSG_ERROR([boost is required.
+Check config.log for details. It is possible the compiler isn't looking in the proper directory.])])
 
 AC_LANG_POP([C++])
 
 # Check for libyaml
-AC_CHECK_HEADERS(yaml.h, [], [AC_MSG_ERROR([libyaml is required])])
-AC_SEARCH_LIBS(yaml_get_version, yaml, [], [AC_MSG_ERROR([libyaml is required])])
+AC_CHECK_HEADERS(yaml.h, [], [AC_MSG_ERROR([header file <yaml.h> is required.
+Check config.log for details. It is possible the compiler isn't looking in the proper directory.])])
+AC_SEARCH_LIBS(yaml_get_version, yaml, [], [AC_MSG_ERROR([library 'libyaml' is required.
+Check config.log for details. It is possible the compiler isn't looking in the proper directory.])])
 
 # Check for libevent
-AC_CHECK_HEADERS(event.h, [], [AC_MSG_ERROR([libevent is required])])
-AC_SEARCH_LIBS(event_init, event, [], [AC_MSG_ERROR([libevent is required])])
+AC_CHECK_HEADERS(event.h, [], [AC_MSG_ERROR([header file <event.h> is required.
+Check config.log for details. It is possible the compiler isn't looking in the proper directory.])])
+AC_SEARCH_LIBS(event_init, event, [], [AC_MSG_ERROR([library 'libevent' is required.
+Check config.log for details. It is possible the compiler isn't looking in the proper directory.])])
 
 # Check for sigar
 AC_SEARCH_LIBS(sigar_open, sigar)
 
 # Check for net-snmp
 if test "$enable_snmp" = yes ; then
-	AC_CHECK_LIB(netsnmp,  netsnmp_ds_set_string,  [], [AC_MSG_ERROR([library 'netsnmp' is required
for snmp support])])
+	AC_CHECK_LIB(netsnmp,  netsnmp_ds_set_string,  [], [AC_MSG_ERROR([library 'netsnmp' is required
for snmp support.
+Check config.log for details. It is possible the compiler isn't looking in the proper directory.
+Don't use --enable-snmp if you don't want to enable the snmp support.])])
 fi 
 
 # Check for libesmtp
@@ -1178,7 +1214,9 @@ if test "$enable_email" = yes ; then
 	if test "$with_openssl" != yes ; then
 		AC_MSG_ERROR([--enable-email requires --with-openssl])
 	fi
-	AC_CHECK_LIB(esmtp,  smtp_start_session,  [], [AC_MSG_ERROR([library 'libesmtp' is required
for email alert support])])
+	AC_CHECK_LIB(esmtp,  smtp_start_session,  [], [AC_MSG_ERROR([library 'libesmtp' is required
for email alert support.
+Check config.log for details. It is possible the compiler isn't looking in the proper directory.
+Don't use --enable-email if you don't want to enable the email alert support.])])
 fi
 
 ##
@@ -1251,29 +1289,40 @@ fi
 
 if test "$with_gssapi" = yes ; then
   AC_CHECK_HEADERS(gssapi/gssapi.h, [],
-	[AC_CHECK_HEADERS(gssapi.h, [], [AC_MSG_ERROR([gssapi.h header file is required for GSSAPI])])])
+	[AC_CHECK_HEADERS(gssapi.h, [], [AC_MSG_ERROR([gssapi.h header file is required for GSSAPI.
+Check config.log for details. It is possible the compiler isn't looking in the proper directory.
+Don't use --with-gssapi if you don't want the GSSAPI support.])])])
 fi
 
 if test "$with_krb5" = yes ; then
-  AC_CHECK_HEADER(krb5.h, [], [AC_MSG_ERROR([header file <krb5.h> is required for Kerberos
5])])
+  AC_CHECK_HEADER(krb5.h, [], [AC_MSG_ERROR([header file <krb5.h> is required for Kerberos
5.
+Check config.log for details. It is possible the compiler isn't looking in the proper directory.
+Don't use --with-krb5 if you don't want the Kerberos 5 support.])])
 fi
 
 if test "$with_openssl" = yes ; then
-  AC_CHECK_HEADER(openssl/ssl.h, [], [AC_MSG_ERROR([header file <openssl/ssl.h> is
required for OpenSSL])])
-  AC_CHECK_HEADER(openssl/err.h, [], [AC_MSG_ERROR([header file <openssl/err.h> is
required for OpenSSL])])
+  AC_CHECK_HEADER(openssl/ssl.h, [], [AC_MSG_ERROR([header file <openssl/ssl.h> is
required for OpenSSL.
+Check config.log for details. It is possible the compiler isn't looking in the proper directory.
+Don't use --with-openssl if you don't want to the OpenSSL support.])])
+  AC_CHECK_HEADER(openssl/err.h, [], [AC_MSG_ERROR([header file <openssl/err.h> is
required for OpenSSL.
+Check config.log for details. It is possible the compiler isn't looking in the proper directory.
+Don't use --with-openssl if you don't want to the OpenSSL support.])])
   AC_CHECK_FUNCS([ERR_set_mark])
 fi
 
 if test "$with_pam" = yes ; then
   AC_CHECK_HEADERS(security/pam_appl.h, [],
                    [AC_CHECK_HEADERS(pam/pam_appl.h, [],
-                                     [AC_MSG_ERROR([header file <security/pam_appl.h>
or <pam/pam_appl.h> is required for PAM.])])])
+                                     [AC_MSG_ERROR([header file <security/pam_appl.h>
or <pam/pam_appl.h> is required for PAM.
+Check config.log for details. It is possible the compiler isn't looking in the proper directory.
+Use --without-pam to disable the PAM support.])])])
 fi
 
 if test "$with_ldap" = yes ; then
   if test "$PORTNAME" != "win32"; then
      AC_CHECK_HEADERS(ldap.h, [],
-                      [AC_MSG_ERROR([header file <ldap.h> is required for LDAP])])
+                      [AC_MSG_ERROR([header file <ldap.h> is required for LDAP.
+Check config.log for details. It is possible the compiler isn't looking in the proper directory.])])
   else
      AC_CHECK_HEADERS(winldap.h, [],
                       [AC_MSG_ERROR([header file <winldap.h> is required for LDAP])],
@@ -1284,7 +1333,8 @@ if test "$with_ldap" = yes ; then
 fi
 
 if test "$with_bonjour" = yes ; then
-  AC_CHECK_HEADER(DNSServiceDiscovery/DNSServiceDiscovery.h, [], [AC_MSG_ERROR([header file
<DNSServiceDiscovery/DNSServiceDiscovery.h> is required for Bonjour])])
+  AC_CHECK_HEADER(DNSServiceDiscovery/DNSServiceDiscovery.h, [], [AC_MSG_ERROR([header file
<DNSServiceDiscovery/DNSServiceDiscovery.h> is required for Bonjour.
+Check config.log for details. It is possible the compiler isn't looking in the proper directory.])])
 fi
 
 # For processor affinity support in Linux on NUMA platforms such as
@@ -1301,32 +1351,40 @@ esac
 # net-snmp
 if test "$enable_snmp" = yes; then
 	AC_CHECK_HEADERS([net-snmp/net-snmp-config.h], [],
-					[AC_MSG_ERROR([header file <net-snmp/net-snmp-config.h> is required for snmp support])])
+					[AC_MSG_ERROR([header file <net-snmp/net-snmp-config.h> is required for snmp support.
+Check config.log for details. It is possible the compiler isn't looking in the proper directory.
+Use --disable-snmp to disable the snmp support.])])
 fi
 
-
 # email
 if test "$enable_email" = yes; then
 	AC_CHECK_HEADERS(libesmtp.h, [],
-					[AC_MSG_ERROR([header file <libesnmp.h> is required for email alert support])])
+					[AC_MSG_ERROR([header file <libesnmp.h> is required for email alert support.
+Check config.log for details. It is possible the compiler isn't looking in the proper directory.
+Use --disable-email to disable the snmp support.])])
 	AC_CHECK_HEADERS(auth-client.h, [],
-					[AC_MSG_ERROR([header file <auth-client.h> is required for email alert support])])
+					[AC_MSG_ERROR([header file <auth-client.h> is required for email alert support.
+Check config.log for details. It is possible the compiler isn't looking in the proper directory.
+Use --disable-email to disable the snmp support.])])
 fi
 
 # realtime library header
 if test "$with_rt" = yes; then
 	AC_CHECK_HEADERS([time.h], [],
-			 [AC_MSG_ERROR([header file <time.h> is required for realtime library support])])
+			 [AC_MSG_ERROR([header file <time.h> is required for realtime library support.
+Check config.log for details. It is possible the compiler isn't looking in the proper directory.
+Use --without-rt to avoid using realtime library.])])
 fi
 
 # json-c 
-
-AC_CHECK_HEADERS(json-c/json.h, [], [AC_MSG_ERROR([json-c is required])])
-AC_SEARCH_LIBS(json_tokener_parse, json-c json, [], [AC_MSG_ERROR([json-c is required])],
[])
+AC_CHECK_HEADERS(json-c/json.h, [], [AC_MSG_ERROR([header file <json-c/json.h> is required.
+Check config.log for details. It is possible the compiler isn't looking in the proper directory.])])
+AC_SEARCH_LIBS(json_tokener_parse, json-c json, [], [AC_MSG_ERROR([library 'json-c' is required.
+Check config.log for details. It is possible the compiler isn't looking in the proper directory.])],
[])
 
 # libxml2
-
-AM_PATH_XML2([2.7.6], [], [AC_MSG_ERROR([libxml2 is required])])
+AM_PATH_XML2([2.7.6], [], [AC_MSG_ERROR([libxml2 is required.
+Check config.log for details. It is possible the compiler isn't looking in the proper directory.])])
 pgac_args="$pgac_args with_xml_prefix with_xml_exec_prefix enable_xmltest"
 CFLAGS="$CFLAGS $XML_CPPFLAGS"
 
@@ -1970,7 +2028,9 @@ if test "$with_tcl" = yes; then
     # now that we have TCL_INCLUDE_SPEC, we can check for <tcl.h>
     ac_save_CPPFLAGS=$CPPFLAGS
     CPPFLAGS="$TCL_INCLUDE_SPEC $CPPFLAGS"
-    AC_CHECK_HEADER(tcl.h, [], [AC_MSG_ERROR([header file <tcl.h> is required for Tcl])])
+    AC_CHECK_HEADER(tcl.h, [], [AC_MSG_ERROR([header file <tcl.h> is required for Tcl.
+Check config.log for details. It is possible the compiler isn't looking in the proper directory.
+Don't use --with-tcl if you don't want to enable to PL/Tcl funciontality.])])
     CPPFLAGS=$ac_save_CPPFLAGS
 fi
 


Mime
View raw message